<template lang="pug">
  nav.the-navbar.navbar(role="navigation", aria-label="main navigation")
    .navbar-brand
      nuxt-link.navbar-item-brand.is-flex(
        :to="{ name: 'index' }",
        exact
      )
        img(
          src="../../assets/img/logo.svg",
          width="112",
          height="28",
          alt="visomi.dev software architect"
        )

      a.navbar-burger(
        role="button",
        aria-label="menu",
        aria-expanded="false",
        @click="ui.toggleNavbar"
      )
        span(aria-hidden="true")
        span(aria-hidden="true")
        span(aria-hidden="true")

    #navbarMenu.navbar-menu(:class="{ 'is-active': ui.navbar }")
      .navbar-end
        nuxt-link.navbar-item(
          exact-active-class="is-active",
          :to="{ name: 'index'} ",
          exact
        ) INICIO

        nuxt-link.navbar-item(
          exact-active-class="is-active",
          :to="{ name: 'about'} ",
          exact
        ) ACERCA DE MÍ

        nuxt-link.navbar-item(
          exact-active-class="is-active",
          :to="{ name: 'portfolio'} ",
          exact
        ) PORTAFOLIO

        nuxt-link.navbar-item(
          exact-active-class="is-active",
          :to="{ name: 'contact'} ",
          exact
        ) CONTACTAME
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';

import UIStore from '../../store/ui';

@Component
class TheNavbar extends Vue {
  ui = getModule(UIStore, this.$store)
}

export default TheNavbar;
</script>

<style lang="sass" scoped>
.the-navbar.navbar
  .navbar-brand
    background: var(--body-background)

  .navbar-item-brand
    flex-direction: column
    justify-content: center
    align-items: center

    img
      height: 50%

  .navbar-burger
    height: var(--navbar-height)
    width: var(--navbar-height)
    flex-direction: column
    justify-content: center
    align-items: center

    span
      position: relative
      height: .5rem
      width: 2.5rem
      left: auto!important
      top: auto!important
      margin-bottom: .5rem
      color: white

  .navbar-item
    position: relative
    background: var(--navbar-item-background)

  .navbar-item:not(.brand).is-active::before
    content: ""

    position: absolute
    bottom: 25%
    left: 0

    width: 100%
    height: .15rem

    background: var(--navbar-item-active-color)

@media screen and (max-width: 768px)
  .the-navbar.navbar
    .navbar-item-brand
      margin-left: 1rem

    .navbar-burger
      display: flex

    .navbar-item:not(.brand).is-active::before
      display: none

@media screen and (min-width: 1024px)
  .the-navbar.navbar
    padding: 0 2rem
</style>

<style>
:root {
  --navbar-background-color: none;
  --navbar-height: 6rem;

  --navbar-item-img-max-height: calc(var(--navbar-height) - 2.5rem);

  --navbar-item-color: grey;

  --navbar-item-background: var(--body-background);
  --navbar-item-hover-background-color: var(--navbar-item-background);
  --navbar-item-hover-color: white;

  --navbar-item-active-color: whitesmoke;
  --navbar-item-active-background-color: var(--navbar-item-background);
}
</style>
